-- --------------------------------------------------------
-- 主机:                           127.0.0.1
-- 服务器版本:                        5.7.38 - MySQL Community Server (GPL)
-- 服务器操作系统:                      Linux
-- HeidiSQL 版本:                  12.0.0.6468
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

-- 导出  表 fontree-approval.approval 结构
DROP TABLE IF EXISTS `approval`;
CREATE TABLE IF NOT EXISTS `approval` (
    `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
    `domain` varchar(50) NOT NULL COMMENT '环境变量',
    `deleted_at` int(11) NOT NULL COMMENT '删除时间',
    `created_at` datetime NOT NULL COMMENT '创建时间',
    `updated_at` datetime NOT NULL COMMENT '更新时间',
    `submitter_id` int(11) DEFAULT NULL COMMENT '提交人ID',
    `submitter_name` varchar(50) NOT NULL DEFAULT '' COMMENT '提交人名称缓存',
    `approver_id` int(11) DEFAULT NULL COMMENT '审核人ID',
    `approver_name` varchar(50) NOT NULL DEFAULT '' COMMENT '审核人名称缓存',
    `status` tinyint(4) DEFAULT '1' COMMENT '状态1-待 2-可 3-否',
    `copy_users` json NOT NULL COMMENT '抄送人名称缓存',
    `approval_users` json NOT NULL COMMENT '审批人缓存',
    `now_user_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '当前审批人ID',
    `now_user_name` varchar(50) NOT NULL DEFAULT '0' COMMENT '当前审批人名称',
    `type` enum('content','work','exhibition','show','bundle') DEFAULT NULL COMMENT '类型',
    `content` tinytext COMMENT '提交审批内容',
    `reply` tinytext COMMENT '回复内容',
    `level` tinyint(4) DEFAULT NULL COMMENT '审批总层级',
    `now_level` tinyint(4) DEFAULT NULL COMMENT '当前审批总层级',
    PRIMARY KEY (`id`)
    ) ENGINE=InnoDB AUTO_INCREMENT=69 DEFAULT CHARSET=utf8mb4 COMMENT='审批';

-- 数据导出被取消选择。

-- 导出  表 fontree-approval.approval_exhibition 结构
DROP TABLE IF EXISTS `approval_exhibition`;
CREATE TABLE IF NOT EXISTS `approval_exhibition` (
    `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
    `deleted_at` int(11) NOT NULL COMMENT '删除时间',
    `created_at` datetime NOT NULL COMMENT '创建时间',
    `updated_at` datetime NOT NULL COMMENT '更新时间',
    `approval_id` bigint(20) DEFAULT NULL COMMENT '申请的id',
    `exhibition_id` bigint(20) DEFAULT NULL COMMENT '画展包的id',
    `package_name` varchar(50) DEFAULT NULL COMMENT '包名称',
    `package_id` bigint(20) DEFAULT NULL COMMENT '包id',
    `package_size` varchar(50) DEFAULT NULL COMMENT '平尺数',
    `package_number` varchar(50) DEFAULT NULL COMMENT '序号',
    PRIMARY KEY (`id`)
    ) ENGINE=InnoDB AUTO_INCREMENT=67 DEFAULT CHARSET=utf8mb4 COMMENT='绑定的画展包';

-- 数据导出被取消选择。

-- 导出  表 fontree-approval.approval_setting 结构
DROP TABLE IF EXISTS `approval_setting`;
CREATE TABLE IF NOT EXISTS `approval_setting` (
    `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
    `deleted_at` int(11) NOT NULL DEFAULT '0' COMMENT '删除标记',
    `created_at` datetime NOT NULL COMMENT '创建时间',
    `updated_at` datetime NOT NULL COMMENT '更新时间',
    `key_word` varchar(50) NOT NULL DEFAULT '' COMMENT '绑定的部门ID',
    `copy_users` json NOT NULL COMMENT '抄送人',
    `approval_users` json NOT NULL COMMENT '设置人',
    `domain` varchar(50) NOT NULL COMMENT '环境env',
    PRIMARY KEY (`id`),
    UNIQUE KEY `index` (`domain`,`key_word`,`deleted_at`) USING BTREE
    ) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8mb4 COMMENT='部门抄送人设置';

-- 数据导出被取消选择。

-- 导出  表 fontree-approval.approval_type 结构
DROP TABLE IF EXISTS `approval_type`;
CREATE TABLE IF NOT EXISTS `approval_type` (
    `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID',
    `domain` varchar(50) DEFAULT NULL COMMENT '环境Code',
    `key_word` varchar(50) DEFAULT NULL COMMENT '关键字',
    `title` varchar(50) DEFAULT NULL COMMENT '名称',
    `created_at` datetime NOT NULL,
    `updated_at` datetime NOT NULL,
    `deleted_at` int(11) NOT NULL DEFAULT '0',
    `remark` varchar(50) DEFAULT NULL,
    PRIMARY KEY (`id`),
    UNIQUE KEY `unqiue_index` (`domain`,`key_word`,`deleted_at`)
    ) ENGINE=InnoDB AUTO_INCREMENT=77 DEFAULT CHARSET=utf8mb4 COMMENT='类型';

-- 数据导出被取消选择。

-- 导出  表 fontree-approval.approval_work 结构
DROP TABLE IF EXISTS `approval_work`;
CREATE TABLE IF NOT EXISTS `approval_work` (
    `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
    `deleted_at` int(11) NOT NULL COMMENT '删除时间',
    `created_at` datetime NOT NULL COMMENT '创建时间',
    `updated_at` datetime NOT NULL COMMENT '更新时间',
    `approval_id` bigint(20) DEFAULT NULL COMMENT '申请的id',
    `work_id` bigint(20) DEFAULT NULL COMMENT '作品类型id',
    `artwork_id` bigint(20) DEFAULT NULL COMMENT '作品id',
    `artwork_name` varchar(50) DEFAULT NULL COMMENT '作品名称',
    `artist_name` varchar(50) DEFAULT NULL COMMENT '作家名称',
    `artwork_cover` varchar(50) DEFAULT NULL COMMENT '作品封面',
    `artwork_number` varchar(50) DEFAULT NULL COMMENT '作品序号',
    PRIMARY KEY (`id`)
    ) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COMMENT='审批绑定画作表';

-- 数据导出被取消选择。

-- 导出  表 fontree-approval.approval_workflow 结构
DROP TABLE IF EXISTS `approval_workflow`;
CREATE TABLE IF NOT EXISTS `approval_workflow` (
    `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
    `deleted_at` int(11) DEFAULT NULL,
    `created_at` datetime DEFAULT NULL COMMENT '创建时间',
    `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
    `approval_id` bigint(20) DEFAULT NULL COMMENT '绑定的审批',
    `user_id` bigint(20) DEFAULT NULL COMMENT '绑定的审批人',
    `name` varchar(50) DEFAULT NULL COMMENT '审批人名字',
    `level` int(11) DEFAULT NULL COMMENT '审批层级',
    `status` tinyint(4) DEFAULT NULL COMMENT '审批状态(0-未，1-success，2-fail)',
    `operated_at` datetime DEFAULT NULL COMMENT '审批时间',
    `reply` varchar(50) DEFAULT NULL COMMENT '审批内容',
    PRIMARY KEY (`id`)
    ) ENGINE=InnoDB AUTO_INCREMENT=48 DEFAULT CHARSET=utf8mb4 COMMENT='审批流';

-- 数据导出被取消选择。

-- 导出  表 fontree-approval.bundle 结构
DROP TABLE IF EXISTS `bundle`;
CREATE TABLE IF NOT EXISTS `bundle` (
    `id` bigint(20) NOT NULL AUTO_INCREMENT,
    `deleted_at` int(11) NOT NULL COMMENT '删除时间',
    `created_at` datetime NOT NULL COMMENT '创建时间',
    `updated_at` datetime NOT NULL COMMENT '更新时间',
    `return_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '归还时间',
    `received_at` datetime DEFAULT NULL COMMENT '领取时间',
    `applications_num` int(11) DEFAULT NULL COMMENT '申请数量',
    `approval_id` bigint(20) DEFAULT NULL COMMENT '绑定的申请id',
    PRIMARY KEY (`id`)
    ) ENGINE=InnoDB AUTO_INCREMENT=27 DEFAULT CHARSET=utf8mb4 COMMENT='画展包数量审批';

-- 数据导出被取消选择。

-- 导出  表 fontree-approval.exhibition 结构
DROP TABLE IF EXISTS `exhibition`;
CREATE TABLE IF NOT EXISTS `exhibition` (
    `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
    `deleted_at` int(11) NOT NULL COMMENT '删除时间',
    `created_at` datetime NOT NULL COMMENT '创建时间',
    `updated_at` datetime NOT NULL COMMENT '更新时间',
    `approval_id` bigint(20) DEFAULT NULL COMMENT '关联申请的ID',
    `address` varchar(255) NOT NULL DEFAULT '',
    `received_at` datetime DEFAULT NULL,
    PRIMARY KEY (`id`)
    ) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=utf8mb4 COMMENT='审批-画展包';

-- 数据导出被取消选择。

-- 导出  表 fontree-approval.show 结构
DROP TABLE IF EXISTS `show`;
CREATE TABLE IF NOT EXISTS `show` (
    `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
    `deleted_at` int(11) NOT NULL COMMENT '删除时间',
    `created_at` datetime NOT NULL COMMENT '创建时间',
    `updated_at` datetime NOT NULL COMMENT '更新时间',
    `artist_num` int(11) NOT NULL DEFAULT '0' COMMENT '艺术家数量',
    `show_at` datetime NOT NULL COMMENT '画展时间',
    `approval_id` bigint(20) DEFAULT NULL,
    PRIMARY KEY (`id`)
    ) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COMMENT='画展审批';

-- 数据导出被取消选择。

-- 导出  表 fontree-approval.ssd 结构
DROP TABLE IF EXISTS `ssd`;
CREATE TABLE IF NOT EXISTS `ssd` (
    `id` int(11) DEFAULT NULL,
    `approval` int(11) DEFAULT NULL COMMENT '关联的申请',
    `level` int(11) DEFAULT NULL COMMENT '审批层级',
    `approver_id` int(11) DEFAULT NULL,
    `approver_name` int(11) DEFAULT NULL,
    `approver_json` int(11) DEFAULT NULL COMMENT '审批人',
    `approver_avatar` int(11) DEFAULT NULL
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- 数据导出被取消选择。

-- 导出  表 fontree-approval.work 结构
DROP TABLE IF EXISTS `work`;
CREATE TABLE IF NOT EXISTS `work` (
    `id` bigint(20) NOT NULL AUTO_INCREMENT,
    `deleted_at` int(11) NOT NULL COMMENT '删除时间',
    `created_at` datetime NOT NULL COMMENT '创建时间',
    `updated_at` datetime NOT NULL COMMENT '更新时间',
    `return_at` datetime DEFAULT NULL COMMENT '送还时间',
    `received_at` datetime DEFAULT NULL COMMENT '领取时间',
    `approval_id` bigint(20) NOT NULL COMMENT '绑定的申请id',
    PRIMARY KEY (`id`)
    ) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COMMENT='画作申请审批';

-- 数据导出被取消选择。

/*!40103 SET TIME_ZONE=IFNULL(@OLD_TIME_ZONE, 'system') */;
/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IFNULL(@OLD_FOREIGN_KEY_CHECKS, 1) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40111 SET SQL_NOTES=IFNULL(@OLD_SQL_NOTES, 1) */;
